# vim: set sw=4 ts=4 et nu:

Name:           perl-Net-DBus
Version:        0.33.6
Release:        1.2
Summary:        Extension for the DBus bindings
Source:         http://search.cpan.org/CPAN/authors/id/D/DA/DANBERR/Net-DBus-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Net-DBus
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  gcc make pkgconfig
BuildRequires:  dbus-1-devel
Requires:       perl(XML::Twig)
Requires:       perl(Time::HiRes)

%description
Net::DBus provides a Perl API for the DBus message system. The DBus Perl
interface is currently operating against the 0.32 development version of
DBus, but should work with later versions too, providing the API changes
have not been too drastic.
Users of this package are either typically, service providers in which
case the Net::DBus::Service and Net::DBus::Object modules are of most
relevance, or are client consumers, in which case Net::DBus::RemoteService
and Net::DBus::RemoteObject are of most relevance.

%prep
%setup -q -n "Net-DBus-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README LICENSE CHANGES
%dir %{perl_vendorarch}/Net
%{perl_vendorarch}/Net/DBus
%{perl_vendorarch}/Net/DBus.pm
%dir %{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Net/DBus
%doc %{perl_man3dir}/Net::DBus.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Net::DBus::*.%{perl_man3ext}%{ext_man}

%changelog
* Wed Mar 16 2011 pascal.bleser@opensuse.org
- initial version (0.33.6)
